Skip to content

Additional IPv4 blocks

All operations require authentication.

4 operationsv1/vrack/{serviceName}
Agent setup

List blocks. Returns the Additional IPv4 blocks routed in the vRack.Production

GET
/1.0/vrack/{serviceName}/ip

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200ipBlock[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ip \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0/24"]

Get a block. Returns the Additional IPv4 block, its gateway, its region and its public routing type.Production

GET
/1.0/vrack/{serviceName}/ip/{ip}

Path parameters

ip
required
ipBlock

Your IP block

serviceName
required
string

The internal name of your vrack

Response

200ipsuccessful operation
gateway
read-only
ipBlock

Your gateway

ip
read-only
ipBlock

Your IP block

publicRoutingType
read-only
string

Mode in which gateway is configured

region
read-only
string

Where you want your block announced on the network

Example uses ip = 192.0.2.0/24, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ip/{ip} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "gateway": "192.0.2.0/24", "ip": "192.0.2.0/24", "publicRoutingType": "string", "region": "string"}

Attach a blockProduction

POST
/1.0/vrack/{serviceName}/ip

Attach a block. Routes an Additional IPv4 block in the vRack, in the given region. Returns the task that performs it.

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

block
required
ipBlock

Your IP block

region
string

Choose the region in which to route the block

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ip \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Detach a block. Removes the Additional IPv4 block from the vRack. Returns the task that performs it.Production

DELETE
/1.0/vrack/{serviceName}/ip/{ip}

Path parameters

ip
required
ipBlock

Your IP block

serviceName
required
string

The internal name of your vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses ip = 192.0.2.0/24, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ip/{ip} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}